Your message dated Sun, 18 Sep 2016 16:38:01 +0000
with message-id <e1blf6p-0000bt...@franck.debian.org>
and subject line Bug#829880: fixed in goobox 3.4.1-8
has caused the Debian Bug report #829880,
regarding goobox: Uses deprecated gnome-common macros/variables
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
829880: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=829880
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: goobox
Version: 3.4.1-6
Severity: normal
User: pkg-gnome-maintain...@lists.alioth.debian.org
Usertags: gnome-common

Hi,

gnome-common did a cleanup upstream and deprecated quite a few macros
and variables.

gnome-doc-utils removal
=======================
The gnome-doc-utils build infrastructure was removed completely along
with the following macros:

 GNOME_DOC_INIT [1]
 GNOME_COMMON_INIT [2]


deprecated variables
====================
The following variables used in gnome-autogen.sh have been declared
deprecated [3]:

 REQUIRED_GNOME_DOC_UTILS_VERSION
 REQUIRED_DOC_COMMON_VERSION
 USE_COMMON_DOC_BUILD
 FORBIDDEN_M4MACROS
 GNOME2_DIR
 GNOME2_PATH
 USE_GNOME2_MACROS

deprecated macros
=================
The following macros have also been declared deprecated:

 GNOME_COMPILE_WARNINGS [4]
 GNOME_CXX_WARNINGS [5]

Upstream has documentation at [6] with how you can fix your package and
why those particular changes were made.

According to codesearch.d.n your package goobox uses one of the macros or
variables so might be affected, especially once you run autoreconf. Please
update your package accordingly and forward it to upstream if possible.

If you have further question, please don't hesitate to ask.

Regards,
Michael

[1] https://git.gnome.org/browse/gnome-common/commit/?id=6684e2fa5
[2] https://git.gnome.org/browse/gnome-common/commit/?id=1f60e9536
[3] https://git.gnome.org/browse/gnome-common/commit/?id=4c8d8ad93
[4] https://git.gnome.org/browse/gnome-common/commit/?id=b57bae0be
[5] https://git.gnome.org/browse/gnome-common/commit/?id=2bffd7e1u
[6] https://wiki.gnome.org/Projects/GnomeCommon/Migration

--- End Message ---
--- Begin Message ---
Source: goobox
Source-Version: 3.4.1-8

We believe that the bug you reported is fixed in the latest version of
goobox, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 829...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Helge Kreutzmann <deb...@helgefjell.de> (supplier of updated goobox package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 18 Sep 2016 17:12:21 +0200
Source: goobox
Binary: goobox
Architecture: source amd64
Version: 3.4.1-8
Distribution: unstable
Urgency: medium
Maintainer: Helge Kreutzmann <deb...@helgefjell.de>
Changed-By: Helge Kreutzmann <deb...@helgefjell.de>
Description:
 goobox     - CD player and ripper with GNOME 3 integration
Closes: 829880
Changes:
 goobox (3.4.1-8) unstable; urgency=medium
 .
   * Pull patches from upstream git: (Closes: #829880)
     * do not use gnome-autogen.sh
     * removed deprecated macros
     * removed obsolete definitions
     * do not merge the translations into the gschema file
     * removed custom definition of localedir
     * fixed application name not translated in about dialog
   * Add descriptions to patch files where missing.
Checksums-Sha1:
 def86b4545ddc7e4d405b0b13754901860c470b5 1992 goobox_3.4.1-8.dsc
 e6d198061d5556162e339f6c77a5823fae3ffe61 51260 goobox_3.4.1-8.debian.tar.xz
 f59ad2fb4b2bb3afed43e8c984314fdff20c1ee2 327184 goobox-dbgsym_3.4.1-8_amd64.deb
 e89b5891ff478421b79d7a3cdda468d270bf57da 301132 goobox_3.4.1-8_amd64.deb
Checksums-Sha256:
 b8aa024f47f8d0dcc8e8475b046da3e6991abf858161d9cde4929305c0f8d72f 1992 
goobox_3.4.1-8.dsc
 f35769a012b08e91aa32f8479566491eb940fb161b17181e7f58992300377667 51260 
goobox_3.4.1-8.debian.tar.xz
 d8d99cffb29f82d6b90b39973361f370e7073d827ccbdf8bec83a0642b9140f5 327184 
goobox-dbgsym_3.4.1-8_amd64.deb
 947ca335260eb16b8924d85c2d8d78db3649c1a6c3b0aa7010a8f6b7f334d3fa 301132 
goobox_3.4.1-8_amd64.deb
Files:
 24b1e7c44c8e394f39c618563bb309eb 1992 gnome optional goobox_3.4.1-8.dsc
 f2c94294b8e08c7492d625d77b389e6c 51260 gnome optional 
goobox_3.4.1-8.debian.tar.xz
 81070a562e9b9ba554947ebc1dc39180 327184 debug extra 
goobox-dbgsym_3.4.1-8_amd64.deb
 eab6f87df8f3ca82f8621a142c66b7ef 301132 gnome optional goobox_3.4.1-8_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIVAwUBV961cEG6pSZoKuZwAQgxCxAAj2QG6wY2ZFl+FZJ2vnT61V9IUllS8hiT
b9tmAidZUqvVOA602mx3Ybc4n6BG8dl6nZ06MI4S08EG61vg1mzV0pDQ9nt3kT06
BtdQaBq+XhPaw5Obl3tB69Gldy3yZdTDRhp1Vioelk/6SrfWfZby19FOd00yhwxl
oCE6xVNURW/FsHF3kvSOI3lRSXlbitRoDGn+ZBQtes9ackqHub+DFyNkav//mrKD
vrzJpazxHg68ONqIcl29PROgpJvaWAjq5uqFjdj5ZDcjjBJDihtkXkDgloglh6qk
wwZPZjWFGuTtOXoW9/hFwcxVste+kBYUODip7orkylgXH5Y+gMExUxZd6jxtpi+X
mTPThP/92skZV4Xeh+IADrek0k8FxOZJdMcwBl9jWIaefHrgPAdFhUfb+E5cdhVn
qmbgakOHPdZsGC+E3KUP7lNDeoWNMR3V1PyqVDSMPPicU+RuO9/dRSpl1+bXnLFm
BlBEOaoM+mdIeUuFVcI5v6kk/ZpuDk7hbNBPoV4HPUKIJFZD6RLZf/bKxFJcQT+f
COFwrlfSizpCUbCsKupwb1YnBNHTLNyXn+zR55pv2Fkr95BWbnnRZpxWMKMIReSg
2Jau6DDLskIZc+cNWBT0syWv4D/E/reGTDWqcoatCRpNscOxoiM2J2xHpghEFQRX
Y4uiqHq1Qwo=
=ED0k
-----END PGP SIGNATURE-----

--- End Message ---

Reply via email to